lwIP 2.1.2 Lightweight IP stack

Functions | Variables
snmp_msg.c File Reference
`#include "lwip/apps/snmp_opts.h"`
`#include "snmp_msg.h"`
`#include "snmp_asn1.h"`
`#include "snmp_core_priv.h"`
`#include "lwip/ip_addr.h"`
`#include "lwip/stats.h"`
`#include <string.h>`

## Functions
const char * | snmp_get_community (void)
void | snmp_set_community (const char *const community)
const char * | snmp_get_community_write (void)
const char * | snmp_get_community_trap (void)
void | snmp_set_community_write (const char *const community)
void | snmp_set_community_trap (const char *const community)
void | snmp_set_write_callback (snmp_write_callback_fct write_callback, void *callback_arg)
err_t | snmp_varbind_length (struct snmp_varbind *varbind, struct snmp_varbind_len *len)

## Variables
const char * | snmp_community = "public"
const char * | snmp_community_write = "private"
const char * | snmp_community_trap = "public"

## Detailed Description

SNMP message processing (RFC1157).

## Function Documentation

## ◆ snmp_varbind_length()

err_t snmp_varbind_length | ( | struct snmp_varbind * | varbind,
|  | struct snmp_varbind_len * | len
| ) |  |

Calculate the length of a varbind list

## Variable Documentation

## ◆ snmp_community

const char* snmp_community = "public"

SNMP community string

## ◆ snmp_community_trap

const char* snmp_community_trap = "public"

SNMP community string for sending traps

## ◆ snmp_community_write

const char* snmp_community_write = "private"

SNMP community string for write access